classification
Title: Amazon.com links
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Edrie Ddrie, docs@python, ethan.furman, ezio.melotti, georg.brandl, pitrou, python-dev, sayanchowdhury
Priority: low Keywords: patch

Created on 2015-03-03 21:43 by Edrie Ddrie, last changed 2015-03-07 14:35 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue23579.patch sayanchowdhury, 2015-03-07 07:06 Patch to change the amazon links to official website review
Messages (6)
msg237160 - (view) Author: Edrie Ddrie (Edrie Ddrie) Date: 2015-03-03 21:43
Keywords:easy
Priority: normal
msg237162 - (view) Author: Edrie Ddrie (Edrie Ddrie) Date: 2015-03-03 21:45
There a links to Amazon in the official documentation.
(In Python 3.4 in the tkinter.html and othergui.html)

It's not right to advertise for a certain business.
When will the official documentation guide people to eat at MacDonalds ?
I is a sign of a low moral.

A more honest alternative is just to call the book title and author
and let people decide where they buy books.
msg237163 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-03-03 21:50
If the mentioned books have official Web sites we could use a link to them.
Feel free to submit a patch.
msg237418 - (view) Author: Sayan Chowdhury (sayanchowdhury) * Date: 2015-03-07 07:06
Attached a patch by changing the amazon links to official websites.
msg237422 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2015-03-07 07:12
LGTM.
msg237449 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-07 14:35
New changeset 5903ab233a1d by Benjamin Peterson in branch '3.4':
replace Amazon links in the documentation (closes #23579)
https://hg.python.org/cpython/rev/5903ab233a1d

New changeset 4ad1ea911fd0 by Benjamin Peterson in branch '2.7':
replace Amazon links in the documentation (closes #23579)
https://hg.python.org/cpython/rev/4ad1ea911fd0
History
Date User Action Args
2015-03-07 14:35:20python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg237449

resolution: fixed
stage: resolved
2015-03-07 09:44:29ezio.melottisetnosy: + ezio.melotti
2015-03-07 07:12:36georg.brandlsetnosy: + georg.brandl
messages: + msg237422
2015-03-07 07:06:15sayanchowdhurysetfiles: + issue23579.patch

nosy: + sayanchowdhury
messages: + msg237418

keywords: + patch
2015-03-05 09:31:29rhettingersetpriority: normal -> low
2015-03-03 22:32:00ethan.furmanlinkissue23580 superseder
2015-03-03 22:31:08ethan.furmansetnosy: + ethan.furman
2015-03-03 21:50:52pitrousetnosy: + pitrou

messages: + msg237163
versions: + Python 2.7, Python 3.5
2015-03-03 21:45:33Edrie Ddriesetmessages: + msg237162
2015-03-03 21:43:51Edrie Ddriecreate